summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:02:39 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-04-13 20:08:37 +0200
commit5ecb8e6a436e4c574f0ceef868c7369275f82b18 (patch)
tree8c0692e3eda6b128e54f74e3e7fc2184f2c76018 /dev-qt/qtcore
parentdev-python/paho-mqtt: bump version to 1.3.1 (diff)
downloadgentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.gz
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.tar.bz2
gentoo-5ecb8e6a436e4c574f0ceef868c7369275f82b18.zip
dev-qt: 5.9.5 version bump
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtcore')
-rw-r--r--dev-qt/qtcore/Manifest1
-rw-r--r--dev-qt/qtcore/qtcore-5.9.5.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-qt/qtcore/Manifest b/dev-qt/qtcore/Manifest
index 9e73529dec9..a4ca20bc2f6 100644
--- a/dev-qt/qtcore/Manifest
+++ b/dev-qt/qtcore/Manifest
@@ -1,3 +1,4 @@
DIST qt-everywhere-opensource-src-4.8.7.tar.gz 241075567 BLAKE2B 6e9b8870692c36e894dc401b65fa38961cf7d033cd712770c273fd45b3221720648087c53787eae7d455c417d64e09f716da48377837fb5f2b52b901d06b1cf3 SHA512 f9f81a2e7205e1fd05c8d923dc73244f29aa33f951fa6b7c5c8193449328b37084796b9b71ad0c317e4e6fd00017c10ea5d67b1b2032551cde00548522218125
DIST qtbase-opensource-src-5.7.1.tar.xz 44992616 BLAKE2B d845ff8316f6f91089e23b74c025ad8e6160eb7ba75017cba34c2ad2f7b475fc4e36d337b945935bc2850bd140d743b9a5e3d23399b6d3151b85109da9f56ba8 SHA512 0506a3a856f76e5ba182e3382a515282b6096f3900fbdc14cd5aec425105ab61922e0ada0361234387335ceb80b3c69e39cd34d75476c2946c4371e7b8c0827f
DIST qtbase-opensource-src-5.9.4.tar.xz 45182168 BLAKE2B 39ecddf2b767c68a9b91e0af10ff3b94ea6074803d22a2fdd3802d32a001ebc302e323b5012fb14b881bf89d031f011d383d3f76f6d28bdeaed61a5bac4f9ce0 SHA512 82be3af6cbe83458a17a5dc53b9f57e56d9c1dbc1bae11e36c5a44e11b1f4cf62ef609cb775f55bfad7be38fbfeffc9cf12dd557bf7c64cbd26634c024a394dd
+DIST qtbase-opensource-src-5.9.5.tar.xz 45125492 BLAKE2B ee3cad23c6c89a0cd2b149c033fa98dba475c3b67b82074f31a7b0c53f2c062a72a6d979b157286b6044c936b646eed39febaef795549da27d4a1b45c6016e6b SHA512 910cbcfed1f2a0590e701cede0a9e8399e1f1363ac4863e2f200b675650e3bd1802113df0dfe4309470d27bf6bc0e53fbbab01024d52fad904db8cb2e038454a
diff --git a/dev-qt/qtcore/qtcore-5.9.5.ebuild b/dev-qt/qtcore/qtcore-5.9.5.ebuild
new file mode 100644
index 00000000000..489161041fc
--- /dev/null
+++ b/dev-qt/qtcore/qtcore-5.9.5.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Cross-platform application development framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-fbsd"
+fi
+
+IUSE="icu systemd"
+
+DEPEND="
+ dev-libs/double-conversion:=
+ dev-libs/glib:2
+ dev-libs/libpcre2[pcre16,unicode]
+ sys-libs/zlib
+ icu? ( dev-libs/icu:= )
+ !icu? ( virtual/libiconv )
+ systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}
+ !<dev-qt/qtcore-4.8.7-r4:4
+"
+
+QT5_TARGET_SUBDIRS=(
+ src/tools/bootstrap
+ src/tools/moc
+ src/tools/rcc
+ src/tools/qfloat16-tables
+ src/corelib
+ src/tools/qlalr
+ doc
+)
+
+QT5_GENTOO_PRIVATE_CONFIG=(
+ !:network
+ !:sql
+ !:testlib
+ !:xml
+)
+
+src_configure() {
+ local myconf=(
+ $(qt_use icu)
+ $(qt_use !icu iconv)
+ $(qt_use systemd journald)
+ )
+ qt5-build_src_configure
+}
+
+src_install() {
+ qt5-build_src_install
+
+ local flags=(
+ ALSA CUPS DBUS EGL EGLFS EGL_X11 EVDEV FONTCONFIG FREETYPE
+ HARFBUZZ IMAGEFORMAT_JPEG IMAGEFORMAT_PNG LIBPROXY MITSHM
+ OPENGL OPENSSL OPENVG PULSEAUDIO SHAPE SSL TSLIB WIDGETS
+ XCURSOR XFIXES XKB XRANDR XRENDER XSYNC ZLIB
+ )
+
+ for flag in ${flags[@]}; do
+ cat >> "${D%/}"/${QT5_HEADERDIR}/QtCore/qconfig.h <<- _EOF_ || die
+
+ #if defined(QT_NO_${flag}) && defined(QT_${flag})
+ # undef QT_NO_${flag}
+ #elif !defined(QT_NO_${flag}) && !defined(QT_${flag})
+ # define QT_NO_${flag}
+ #endif
+ _EOF_
+ done
+}